Create or Invite Users
curl --request POST \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"invite": false,
"isOnboardingFlow": false,
"rows": [
{
"data": {
"firstName": "John",
"lastName": "Doe",
"emailId": "john.doe@example.com",
"roleId": "9f1e53b3-a417-4345-882f-2c9b44da040b",
"password": "securePassword123",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e",
"locations": [
"b9164b03-60c2-4500-89a4-f490e38c9872"
]
}
}
],
"inviteBy": "email"
}
'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users"
payload = {
"invite": False,
"isOnboardingFlow": False,
"rows": [{ "data": {
"firstName": "John",
"lastName": "Doe",
"emailId": "john.doe@example.com",
"roleId": "9f1e53b3-a417-4345-882f-2c9b44da040b",
"password": "securePassword123",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e",
"locations": ["b9164b03-60c2-4500-89a4-f490e38c9872"]
} }],
"inviteBy": "email"
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
invite: false,
isOnboardingFlow: false,
rows: [
{
data: {
firstName: 'John',
lastName: 'Doe',
emailId: 'john.doe@example.com',
roleId: '9f1e53b3-a417-4345-882f-2c9b44da040b',
password: 'securePassword123',
workspaceId: 'cb363f7e-c52a-4478-911d-f6a6f791090e',
locations: ['b9164b03-60c2-4500-89a4-f490e38c9872']
}
}
],
inviteBy: 'email'
})
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"extra_meta": {
"message": "Users created successfully"
}
}Users
Create User
POST
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
users
Create or Invite Users
Authorizations
Client API key for authentication
Client secret for authentication
Path Parameters
ID of the workspace
Body
application/json
⌘I